# MCB Board Testing Station Setup Mode File
#
# TEST SEQUENCE
# _??_
#
# HISTORY
# Version 1 - Peter Moore - 11 MAY 2006 - Adapted from _ccdBrdTest    
#
# DESCRIPTION
# Tests the basic MCB functionality.
#
# This setup should always be loaded first since it sets up the basic operating 
# configuration for all additional tests.
#
# Attribute Name  = Value   #Comments
## Preamble 
#
## Setup some software defaults
arrayID=mcbBoardTests
arrayType=DUMMY
filename=BrdTst   # Set an appropriate file name 
imageFile=BrdTst  # Twice .. since the mec seems to like it !!
mosaicRows=1
mosaicCols=1
xPreScan=0       # Just need to read out a raw 2K x 2K image
xPostScan=0      # So set up for one array per video channel
yPostScan=0      # and 8 arrays mosaiced in X direction
colBin=1         #
rowBin=1         #
numOutputs=1     # 
outputCfg=0      #  
pxlRows=512
pxlCols=512
imageRows=512
imageCols=512
xStart[]=1
yStart[]=1
finDataType=32   # DHS_UINT four bytes 32 bits
frmsPerRdOut=1   # number of readout for one simple exposure
captureMode=1    # capture mode 0=NORMAL, 1=SEP, 2=BLOCKREAD
expMode=0        # mode of the exposure
processMode=1    # Processing mode -- Switch off the telemetry collection
expVector=1      # 1 =                   
asyncVector=0    # Currently not used.
rawPxlSize=4     # number of Bytes in a raw pixel value
finPxlSize=4     # number of Bytes in a finished pixel value
avNameSIze=32    # Max character length of attribute name
avValueSize=32   # Max character length of attribute value
avCommentSize=64 # Max character length of attribute comment


